{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'updated' %}
        <div class="alert alert-success" role="alert">
            The author was updated successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while updating the author, contact the administrator!
        </div>
    {% elif control == 'errorExists' %}
        <div class="alert alert-danger" role="alert">
            {{ message }}
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">Author</h5>
        <div class="card-body">
            <h5 class="card-title">Update a author in the virtual library</h5>
            <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'update_author' %}" method="post">
                {% csrf_token %}
                <div class="form-group mb-3">

                    {% for author in authors %}
                        {% if forloop.first %}
                            <label for="inputAutor_name" class="form-label">Author</label>
                            <select id="inputAutor_name" name="inputAutor_name" class="form-select mb-3">
                            <option selected>{{ author.name }}</option>
                        {% else %}
                            <option>{{ author.name }}</option>
                        {% endif %}
                        {% empty %}
                            <h1>There are no authors to Update</h1>
                    {% endfor %}
                    </select>

                    {% if authors %}
                        <div class="mb-3">
                            <label for="inputName" class="form-label">New author name</label>
                            <input type="text" class="form-control" name="inputName" id="inputName" aria-describedby="emailHelp" required>
                            <div id="nameHelp" class="form-text">This is the new name for the author.</div>
                        </div>
                    {% endif %}
                </div>
                {% if authors %}
                    <button type="submit" class="btn btn-warning">Update</button>
                {% endif %}
                <button type="button" onclick="window.location.href='{% url 'home' %}'" class="btn btn-primary">Return</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
